POSIX's diff(1) requires output in normal diff format.
However, busybox's diff's output is written in unified format.
POSIX requires no option for normal-diff format.
A hint in test-lib-functions::test_cmp said `diff -u` isn't available
everywhere.
Workaround this problem by assuming `diff(1)` output is unified
if we couldn't make anything from normal-diff format.
Signed-off-by: Đoàn Trần Công Danh <redacted>
---
t/t4124-apply-ws-rule.sh | 6 ++++++
1 file changed, 6 insertions(+)
diff --git a/t/t4124-apply-ws-rule.sh b/t/t4124-apply-ws-rule.sh
index 971a5a7512..2a54ce96b5 100755
--- a/t/t4124-apply-ws-rule.sh
+++ b/t/t4124-apply-ws-rule.sh
@@ -52,6 +52,12 @@ test_fix () {
# find touched lines
$DIFF file target | sed -n -e "s/^> //p" >fixed
+ if ! test -s fixed; then
+ $DIFF file target |
+ grep '^+' |
+ grep -v '^+++' |
+ sed -e "s/+//" >fixed
+ fi
# the changed lines are all expected to change
fixed_cnt=$(wc -l <fixed)--
2.26.0.rc2.310.g2932bb562d